#!/bin/bash

# import general use aliases
[[ -r ~/.alias ]] && . ~/.alias

# apt
_completion_loader apt
alias a="sudo apt"

alias aql="sudo dpkg -l"
alias aqh="sudo apt-mark showhold"

alias aup="sudo apt update"

function aupg {
    sudo apt update;
    clear;
    sudo apt list -u;
    echo;
    read -p "Upgrade? [Y/n] " choice;
    case "$choice" in
        y|Y|"" )
            sudo apt upgrade -y;
            ;;
        * )
            return 1
            ;;
    esac
}

complete -F _apt a
