#!/bin/bash

# import general use aliases
[[ -r ~/.alias ]] && . ~/.alias

# config files
alias cb="vim ~/.config/bspwm/bspwmrc"
alias cs="vim ~/.config/sxhkd/sxhkdrc"

# xbps-install
# use xtools instead
# alias xin="doas xbps-install -S"
alias xup="xi -Su"
alias xun="xi -S && xi -un | awk '{print \$2 \"\t- \" \$1}' | sed \"s/-\([^- ]*_.*\)/ -> \1/\""

complete -F _xbps_complete xi

# xbps-query
alias xqr="xbps-query"
alias xs="xqr -Rs"
alias xqs="xqr -S"
alias xqm="xqr -m"
alias xql="xqr -l"
alias xqq="xql | grep ${1}"

alias xcln="xr -oO"

# Docker
alias dc=docker-compose

command -v 2>&1 >/dev/null thefuck && eval "$(thefuck --alias)"
